import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:vitalapp/pages/traditional_chinese_medicine_constitution/widget/ConfigurableCard.dart';
import 'package:vitalapp/store/store.dart';

import 'controller.dart';

class TraditionalChineseMedicineConstitutionView
    extends GetView<TraditionalChineseMedicineConstitutionController> {
  const TraditionalChineseMedicineConstitutionView({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: buildContent("LNRZYYJKGLFWJL"),
    );
  }

  Widget buildContent(String key) {
    return ConfigurableCard(
      cardKey: key,
      callBack: (key, templateCode, data) async {
        final result = await controller.createFollowUp(key, templateCode, data);
        return result;
      },
      patientCode: Store.user.currentSelectPatientInfo?.code ?? '',
    );
  }
}
